# Uses of Enum Class
org.apache.lucene.store.PreloadHint

Packages that use PreloadHint
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of PreloadHint in org.apache.lucene.store

  Methods in org.apache.lucene.store that return PreloadHint
  Modifier and Type
  Method
  Description
  `static PreloadHint`
  PreloadHint.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PreloadHint[]`
  PreloadHint.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.